Skip to main content
GET
/
api
/
v1
/
tokens
/
{tokenId}
/
balances
List token balances
curl --request GET \
  --url https://mainnet.mirrornode.hedera.com/api/v1/tokens/{tokenId}/balances
import requests

url = "https://mainnet.mirrornode.hedera.com/api/v1/tokens/{tokenId}/balances"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://mainnet.mirrornode.hedera.com/api/v1/tokens/{tokenId}/balances', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "timestamp": "1586567700.453054000",
  "balances": [
    {
      "account": "0.15.2",
      "balance": 1000,
      "decimals": 3
    }
  ],
  "links": {
    "next": null
  }
}
{
  "_status": {
    "messages": [
      {
        "message": "Invalid parameter: account.id"
      },
      {
        "message": "Invalid Transaction id. Please use \\shard.realm.num-sss-nnn\\ format where sss are seconds and nnn are nanoseconds"
      }
    ]
  }
}

Path Parameters

tokenId
string | null
required

Token id Network entity ID in the format of shard.realm.num

Pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
Example:

"0.0.2"

Query Parameters

account.balance
string

The optional balance value to compare against

Pattern: ^((gte?|lte?|eq|ne)\:)?\d{1,10}$
account.id
string

The ID of the account to return information for

Pattern: ^((gte?|lte?|eq|ne)\:)?(\d{1,10}\.\d{1,10}\.)?\d{1,10}$
account.publickey
string

The account's public key to compare against

limit
integer<int32>
default:25

The maximum number of items to return

Required range: 1 <= x <= 100
order
enum<string>
default:desc

The order in which items are listed

Available options:
asc,
desc
timestamp
string[]

The consensus timestamp as a Unix timestamp in seconds.nanoseconds format with an optional comparison operator. See unixtimestamp.com for a simple way to convert a date to the 'seconds' part of the Unix time.

Pattern: ^((eq|gt|gte|lt|lte|ne):)?\d{1,10}(\.\d{1,9})?$

Response

OK

timestamp
string | null

A Unix timestamp in seconds.nanoseconds format

Pattern: ^\d{1,10}(\.\d{1,9})?$
Example:

"1586567700.453054000"

balances
object[]
Example:
[
  {
    "account": "0.15.2",
    "balance": 1000,
    "decimals": 3
  }
]